Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## javax.faces.component.html
Enum HtmlInputSecret.PropertyKeys

    java.lang.Object
      java.lang.Enum<HtmlInputSecret.PropertyKeys>
          javax.faces.component.html.HtmlInputSecret.PropertyKeys

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<HtmlInputSecret.PropertyKeys>

Enclosing class:
  HtmlInputSecret

    protected static enum HtmlInputSecret.PropertyKeys

extends java.lang.Enum<HtmlInputSecret.PropertyKeys>

Enum Constant Summary
`accesskey`
`alt`
`autocomplete`
`dir`
`disabled`
`label`
`lang`
`maxlength`
`onblur`
`onchange`
`onclick`
`ondblclick`
`onfocus`
`onkeydown`
`onkeypress`
`onkeyup`
`onmousedown`
`onmousemove`
`onmouseout`
`onmouseover`
`onmouseup`
`onselect`
`readonly`
`redisplay`
`size`
`style`
`styleClass`
`tabindex`
`title`

Method Summary
`java.lang.String` | `toString()`
`static HtmlInputSecret.PropertyKeys` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static HtmlInputSecret.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### accesskey

    public static final HtmlInputSecret.PropertyKeys accesskey

### alt

    public static final HtmlInputSecret.PropertyKeys alt

### autocomplete

    public static final HtmlInputSecret.PropertyKeys autocomplete

### dir

    public static final HtmlInputSecret.PropertyKeys dir

### disabled

    public static final HtmlInputSecret.PropertyKeys disabled

### label

    public static final HtmlInputSecret.PropertyKeys label

### lang

    public static final HtmlInputSecret.PropertyKeys lang

### maxlength

    public static final HtmlInputSecret.PropertyKeys maxlength

### onblur

    public static final HtmlInputSecret.PropertyKeys onblur

### onchange

    public static final HtmlInputSecret.PropertyKeys onchange

### onclick

    public static final HtmlInputSecret.PropertyKeys onclick

### ondblclick

    public static final HtmlInputSecret.PropertyKeys ondblclick

### onfocus

    public static final HtmlInputSecret.PropertyKeys onfocus

### onkeydown

    public static final HtmlInputSecret.PropertyKeys onkeydown

### onkeypress

    public static final HtmlInputSecret.PropertyKeys onkeypress

### onkeyup

    public static final HtmlInputSecret.PropertyKeys onkeyup

### onmousedown

    public static final HtmlInputSecret.PropertyKeys onmousedown

### onmousemove

    public static final HtmlInputSecret.PropertyKeys onmousemove

### onmouseout

    public static final HtmlInputSecret.PropertyKeys onmouseout

### onmouseover

    public static final HtmlInputSecret.PropertyKeys onmouseover

### onmouseup

    public static final HtmlInputSecret.PropertyKeys onmouseup

### onselect

    public static final HtmlInputSecret.PropertyKeys onselect

### readonly

    public static final HtmlInputSecret.PropertyKeys readonly

### redisplay

    public static final HtmlInputSecret.PropertyKeys redisplay

### size

    public static final HtmlInputSecret.PropertyKeys size

### style

    public static final HtmlInputSecret.PropertyKeys style

### styleClass

    public static final HtmlInputSecret.PropertyKeys styleClass

### tabindex

    public static final HtmlInputSecret.PropertyKeys tabindex

### title

    public static final HtmlInputSecret.PropertyKeys title

Method Detail

### values

    public static HtmlInputSecret.PropertyKeys[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (HtmlInputSecret.PropertyKeys c : HtmlInputSecret.PropertyKeys.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static HtmlInputSecret.PropertyKeys valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<HtmlInputSecret.PropertyKeys>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.